Managed Instances - Failover

Failovers a managed instance.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/failover?api-version=2021-02-01-preview
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/failover?replicaType={replicaType}&api-version=2021-02-01-preview

URI Parameters

Name In Required Type Description
managedInstanceName
path True
  • string

The name of the managed instance to failover.

resourceGroupName
path True
  • string

The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.

subscriptionId
path True
  • string

The subscription ID that identifies an Azure subscription.

api-version
query True
  • string

The API version to use for the request.

replicaType
query

The type of replica to be failed over.

Responses

Name Type Description
200 OK

Successfully completed managed instance failover.

202 Accepted

Managed instance failover is in progress.

Other Status Codes

*** Error Responses: ***

  • 400 ManagedInstanceFailoverThrottled - There was a recent failover on the managed instance.

  • 400 ManagedInstanceFailoverNotSupportedOnSKU - This type of customer initiated failover is not supported on the given SKU.

  • 404 SubscriptionDoesNotHaveServer - The requested server was not found

  • 404 ServerNotInSubscriptionResourceGroup - Specified server does not exist in the specified resource group and subscription.

  • 409 ManagedInstanceFailoverFullBackupMissing - Automated backup needs to complete the first full backup for a new database.

  • 409 ManagedInstanceNotInStateToFailover - The managed instance is currently in a state such that failover cannot be issued.

Examples

Failover a managed instance.

Sample Request

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/managedInstances/instanceName/failover?replicaType=Primary&api-version=2021-02-01-preview

Sample Response

Definitions

ReplicaType

The type of replica to be failed over.

Name Type Description
Primary
  • string
ReadableSecondary
  • string